MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024823Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-04-11 14:182014-05-05 13:39
Reporteremv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024823: Hang up in "bopcheck" command
DescriptionThe command "bopcheck" hangs up with the shape from test case bugs modalg_1 buc60555_3.
Steps To Reproducerestore [locate_data_file buc60555d.brep] b
bopcheck b
Additional information
and documentation updates
class IntTools_EdgeEdge
 1. method
  Standard_Boolean IntTools_EdgeEdge::FindParameters(
     const BRepAdaptor_Curve& theB
     const Standard_Real aT1,
     const Standard_Real aT2,
     const Standard_Real theRes,
     const Standard_Real thePTol,
     const Bnd_Box& theCBox,
     Standard_Real& aTB1,
     Standard_Real& aTB2)

  Added protection for large values of parameters of the edges.

 2. methods
   static Standard_Boolean BndCommon(const Bnd_Box& theB1,
                                     const Bnd_Box& theB2,
                                     Bnd_Box& theBOut)
  and
   IntTools_EdgeEdge::FindSolutions()

  have been removed as redundant.
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug24823
Attached Files

- Relationships

-  Notes
(0028949)
emv (developer)
2014-04-17 18:27

Git branch CR24823 is ready to be reviewed.
(0028952)
pkv (developer)
2014-04-18 05:56

Reviewed.
(0028994)
mkv (tester)
2014-04-21 18:00

Dear BugMaster,

Branch CR24823 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 3bc02f7d0453f2d0c2d2316a7adc5e7b3231b5f1

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 410 (410 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
http://occt-tests/CR24823-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24823-master-occt/Windows-32-VC9/summary.html [^]
bugs moddata_2(012) bug26_1 - only on Linux; (corrected)
bugs moddata_2(012) bug26_2 - (corrected)

Testing cases:
http://occt-tests/CR24823-master-occt/Debian60-64/bugs/modalg_5/bug24823.html [^]
http://occt-tests/CR24823-master-occt/Windows-32-VC9/bugs/modalg_5/bug24823.html [^]
bugs modalg_5(010) bug24823: OK

Testing on Linux:
Total MEMORY difference: 355391932 / 355794388
Total CPU difference: 52099.69999999996 / 55246.549999999734

Testing on Windows:
Total MEMORY difference: 340590084 / 340847068
Total CPU difference: 37189.390625 / 42335.296875

There are no differences in images found by testdiff.

- Related Changesets
occt: master a743e2e5
Timestamp: 2014-04-17 15:14:50
Author: abv
Committer: abv
Details ] Diff ]
0024823: Hang up in "bopcheck" command

Modifications:
class IntTools_EdgeEdge
 1. method
   Standard_Boolean IntTools_EdgeEdge::FindParameters(
      const BRepAdaptor_Curve& theB
      const Standard_Real aT1,
      const Standard_Real aT2,
      const Standard_Real theRes,
      const Standard_Real thePTol,
      const Bnd_Box& theCBox,
      Standard_Real& aTB1,
      Standard_Real& aTB2)

   Added protection for large values of parameters of the edges.

 2. methods
    static Standard_Boolean BndCommon(const Bnd_Box& theB1,
                                      const Bnd_Box& theB2,
                                      Bnd_Box& theBOut)
   and
    IntTools_EdgeEdge::FindSolutions()

   have been removed as redundant.

Test case for issue CR24823
mod - src/BOPTest/BOPTest_CheckCommands.cxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeEdge.cdl Diff ] File ]
mod - src/IntTools/IntTools_EdgeEdge.cxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeEdge.lxx Diff ] File ]
add - tests/bugs/modalg_5/bug24823 Diff ] File ]
mod - tests/bugs/moddata_2/bug26_1 Diff ] File ]
mod - tests/bugs/moddata_2/bug26_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-11 14:18 emv New Issue
2014-04-11 14:18 emv Assigned To => emv
2014-04-11 14:18 emv Status new => assigned
2014-04-17 18:27 emv Note Added: 0028949
2014-04-17 18:27 emv Assigned To emv => pkv
2014-04-17 18:27 emv Status assigned => resolved
2014-04-17 18:27 emv Additional Information Updated View Revisions
2014-04-17 18:34 emv Additional Information Updated View Revisions
2014-04-18 05:56 pkv Note Added: 0028952
2014-04-18 05:56 pkv Assigned To pkv => mkv
2014-04-18 05:56 pkv Status resolved => reviewed
2014-04-21 18:00 mkv Note Added: 0028994
2014-04-21 18:01 mkv Test case number => bugs modalg_5(010) bug24823
2014-04-21 18:01 mkv Assigned To mkv => bugmaster
2014-04-21 18:01 mkv Status reviewed => tested
2014-04-28 10:27 abv Changeset attached => occt master a743e2e5
2014-04-28 10:27 abv Assigned To bugmaster => abv
2014-04-28 10:27 abv Status tested => verified
2014-04-28 10:27 abv Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker